Subject: [bug#38304] [PATCH]: Make more services one-shot

From: Efraim Flashner <[email-masked]>
Date: Sun, 29 Dec 2019 10:06:12 +0200

On Fri, Dec 13, 2019 at 10:50:11PM +0200, Efraim Flashner wrote:
> On Sun, Dec 08, 2019 at 10:28:42PM +0100, Ludovic Courtès wrote:
> > Hello!
> > 
> > Efraim Flashner <[email-masked]> skribis:
> > 
> > > On Wed, Nov 20, 2019 at 09:45:44PM +0200, Efraim Flashner wrote:
> > >> After changing the sysctl service to use one-shot I found 3 more that
> > >> look like they'd be good choices.
> > >> 
> > >
> > > Actually, it looks like agetty and mingetty both rely on the host-name
> > > service, so that one doesn't look like a good choice after all.
> > 
> > Is it a problem, though?  I think they should still get started, even if
> > ‘host-name’ is one-shot, no?
> 
> I'll try to test this in the next week or so.

I tested this a bit with some other services I'm working on. When
service A is one-shot and service B depends on it, when service B starts
it also 'runs' service A. So it looks like it won't be a problem
after all.

> 
> > 
> > Conceptually, ‘console-keymap’ and ‘console-font’ do not look like
> > one-shot to me though: it’s not implemented, but their ‘stop’ method
> > could very much restore the previous keymap/font.
> > 
> 
> I feel like since these commands don't have an 'undo' command from the
> terminal or from various DEs (that I know of) that making them one-shot
> would make more sense.
> 
> Also we wouldn't want the keymap or font to change during shutdown when
> services get stopped.
> 
> -- 
> Efraim Flashner   <[email-masked]>   אפרים פלשנר
> GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
> Confidentiality cannot be guaranteed on emails sent or received unencrypted

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted